Get an ACL rule
get
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the ACL rule.
Responses
200
ACL rule details.
application/json
An ACL rule. All relations represented as arrays of IDs.
addressesstringRequired
aliasesinteger · int64[]Required
all_locationsbooleanRequired
allow_all_groupsbooleanRequired
allow_all_network_devicesbooleanRequired
allow_all_usersbooleanRequired
allowed_groupsinteger · int64[]Required
allowed_network_devicesinteger · int64[]Required
allowed_usersinteger · int64[]Required
any_addressbooleanRequired
any_portbooleanRequired
any_protocolbooleanRequired
denied_groupsinteger · int64[]Required
denied_network_devicesinteger · int64[]Required
denied_usersinteger · int64[]Required
deny_all_groupsbooleanRequired
deny_all_network_devicesbooleanRequired
deny_all_usersbooleanRequired
destinationsinteger · int64[]Required
enabledbooleanRequired
expiresstring · nullableOptional
idinteger · int64Required
locationsinteger · int64[]Required
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
parent_idinteger · int64 · nullableOptional
portsstringRequired
protocolsinteger · int32[]Required
statestring · enumRequiredPossible values:
ACL rule can be in one of the following states:
- New: the rule has been created and not yet applied
- Modified: the rule has been modified and not yet applied
- Deleted: the rule has been marked for deletion but not yed removed
- Applied: the rule was applied
- Expired: the rule is past it's expiration date
Applied state does NOT guarantee that all locations have received the rule and performed appropriate operations, only that the next time configuration is being sent it will include this rule.
use_manual_destination_settingsbooleanRequired
401
Session is missing or invalid.
application/json
403
Requires admin privileges and an active enterprise license.
application/json
404
ACL rule not found.
500
Unable to get ACL rule.
application/json
get/api/v1/acl/rule/{id}
Last updated
Was this helpful?